cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexander Weinmann <aweinm...@bct-technology.com>
Subject Re: fop support in cocoon1 fixed?
Date Fri, 10 Nov 2000 10:37:23 GMT
I tried to fix that myself in my Cocoon1.8 distribution.
I got it working (Cocoon1.6+fop0.14) only, if there is
not XSLT transformation in the processing chain.  This
could easily be acchieved by patching both Cocoon AND FOP 0.14
just a little bit.

I think that the real problem is inside the Xalan version
that comes with Cocoon. Xalan uses DOM Level 1 (no namespaces)
and fop0.14 relies on the dom nodes created with DOM Level2.
This means that I do not see how to get XSLT+FOP working
with Cocoon1.8 and FOP 0.14.

We need C2 for that.




Ulrich Mayring wrote:
> 
> Hello folks,
> 
> what is the status of fop support in cocoon1? It appears that it broke
> starting with fop0.14.0 and the fop folks are going to release major new
> versions soon. According to the fop developers it would just be a small
> fix to cocoon1, something to do with SAX-1 vs. SAX-2.
> 
> Ulrich
> 
> --
> Ulrich Mayring
> DENIC eG, Systementwicklung
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: cocoon-users-unsubscribe@xml.apache.org
> For additional commands, e-mail: cocoon-users-help@xml.apache.org

-- 
Alexander Weinmann | Web Developer
BCT Technology AG | D-77731 Willst├Ątt/Germany | www.bct-technology.com

Mime
View raw message